Loading...
Searching...
No Matches
BoundConstantExtentLoops.h File Reference

Defines the lowering pass that enforces a constant extent on all vectorized or unrolled loops. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::bound_constant_extent_loops (const Stmt &s)
| Replace all loop extents of unrolled or vectorized loops with constants, by substituting and simplifying as needed.

## Detailed Description

Defines the lowering pass that enforces a constant extent on all vectorized or unrolled loops.

Definition in file BoundConstantExtentLoops.h.